| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreShaderExDualQuaternionSkinning.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderExHardwareSkinningTechnique.h"`

## Classes
class | Ogre::RTShader::DualQuaternionSkinning
| Implement a sub render state which performs dual quaternion hardware skinning. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | SGX_FUNC_ADJOINT_TRANSPOSE_MATRIX "SGX_AdjointTransposeMatrix"
#define | SGX_FUNC_ANTIPODALITY_ADJUSTMENT "SGX_AntipodalityAdjustment"
#define | SGX_FUNC_BLEND_WEIGHT "SGX_BlendWeight"
#define | SGX_FUNC_BUILD_DUAL_QUATERNION_MATRIX "SGX_BuildDualQuaternionMatrix"
#define | SGX_FUNC_CALCULATE_BLEND_NORMAL "SGX_CalculateBlendNormal"
#define | SGX_FUNC_CALCULATE_BLEND_POSITION "SGX_CalculateBlendPosition"
#define | SGX_FUNC_NORMALIZE_DUAL_QUATERNION "SGX_NormalizeDualQuaternion"
#define | SGX_LIB_DUAL_QUATERNION "SGXLib_DualQuaternion"